cordova.define("cordova-plugin-sohumail.SohuMail", function(require, exports, module) {
var exec = require('cordova/exec');

exports.openBrowser = function(url, callback, config) {
    if (!(typeof(url) === 'string' && url.search(/^https?:/i) == 0)) return;
    if (callback == null) {
        exec(null, null, 'SohuMail', 'openBrowser', [url, config]);
    } else {
        exec(callback, function(event) {
            callback(null, event)
        }, 'SohuMail', 'openBrowser', [url, config]);
    }
}

exports.openSystemBrowser = function(url) {
    exec(null, null, 'SohuMail', 'openSystemBrowser', [url]);
}

exports.getPictures = function(successCallback, errorCallback, num) {
    exec(successCallback, errorCallback, 'SohuMail', 'getPictures', [num]);
}

exports.checkReadExtPermission = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'SohuMail', 'checkReadExtPermission', []);
}

exports.takePhoto = function(successCallback, errorCallback) {
    navigator.camera.getPicture(
        function(imageData) {
            setTimeout(function() {
                exec(successCallback, errorCallback, 'SohuMail', 'preparePictureForAttachment', [imageData]);
            }, 1000);
        },
        errorCallback, {
            sourceType: Camera.PictureSourceType.CAMERA,
            destinationType: Camera.DestinationType.NATIVE_URI
        }
    );
}

exports.getFile = function(successCallback, errorCallback) {
    exec(function(data) {
        window.plugins.mfilechooser.open([], function(data) {
            successCallback('file://' + data);
        }, errorCallback);
    }, errorCallback, 'SohuMail', 'checkReadExtPermission', []);

}

exports.viewFile = function(path) {
    exec(null, null, 'SohuMail', 'viewFile', [path]);
}

exports.openFile = function(path) {
    exec(null, null, 'SohuMail', 'openFile', [path]);
}

exports.checkFileExists = function(data, successCallback) {
    exec(successCallback, null, 'SohuMail', 'checkFileExists', [data]);
}

exports.getRomVersion = function(successCallback) {
    exec(successCallback, null, 'SohuMail', 'getRomVersion', []);
}

});
